
Redmine - Defect #2738

Cannot send mail notifications

2009-02-13 10:02 - Amos Yang

Status: Closed Start date: 2009-02-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I tried to configure it to use my google account.

But I got the error:

An error occurred while sending mail (can't convert Fixnum into String)

I'm using redmine revision 2453

Below is what I did the configuration:

1. download smtp_tls.rb and put it into lib folder

2. add require 'smtp_tls' in production.rb file

3. edit email.yml

1. Outgoing email settings

 production:

delivery_method: :smtp

smtp_settings:

address: smtp.gmail.com

port: 587

domain: gmail.com

authentication: :login

user_name: XXXXX@gmail.com

password: 123456

My password is pure numbers, is it caused this error?

Anyone can help me out this trouble?

History

#1 - 2009-02-13 18:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Please, no support request here.

See the forums, I think this there are a few topics about gmail.

#2 - 2009-03-07 14:14 - Dominik Appl

see #2927 for the solution
